Android Compatibility

This works great on my Samsung J7 but doesn’t install on a Samsung S5. How can I fix this?

May I ask what Android version are you using with your S5?

Hello Aleksi,

First of all, thank you for responding.

I hope that the information below will be useful for you to help me:

QUESTION #1

The device model SM-G900H.
Android version 4.4.2
Baseband version G900HXXU1ANCI
Kernel version 3.10.9-1183700 Mon Mar 31 14:25:05 KST 2014
Build number KOT 49H.G900HXXU1ANCI
SE for Android status Enforcing SEPF_SM-G900H_4.4.2_0055 Wed may 18 14:36:46 2016

  • this is the phone that the install from Playstore fails. The error message is “Your device isn’t compatible with this version”

QUESTION #2
If I may ask about a second this, relating to my Samsung J7. The app installs and runs will all functionality as expected. However I notice that if I leave the app (switch to another app or just allow some time to pass), the app fails to function and for instance loads without images or gives an error message to contact the developer. If I however go back to the email and install the app again it functions perfectly fine. It’s as if it loses its configuration. I will try to include screen shots of this behaviour. My data is on my google drive - I don’t know if that presents an issue for your application.

Thank you for your help and support

David

(Attachment 14JUN20.pdf is missing)

Hello Aleksi,

First of all, thank you for responding.

I hope that the information below will be useful for you to help me:

QUESTION #1

The device model SM-G900H.
Android version 4.4.2
Baseband version G900HXXU1ANCI
Kernel version 3.10.9-1183700 Mon Mar 31 14:25:05 KST 2014
Build number KOT 49H.G900HXXU1ANCI
SE for Android status Enforcing SEPF_SM-G900H_4.4.2_0055 Wed may 18 14:36:46 2016

  • this is the phone that the install from Playstore fails. The error message is “Your device isn’t compatible with this version”

QUESTION #2
If I may ask about a second this, relating to my Samsung J7. The app installs and runs will all functionality as expected. However I notice that if I leave the app (switch to another app or just allow some time to pass), the app fails to function and for instance loads without images or gives an error message to contact the developer. If I however go back to the email and install the app again it functions perfectly fine. It’s as if it loses its configuration. I will try to include screen shots of this behaviour. My data is on my google drive - I don’t know if that presents an issue for your application.

Thank you for your help and support

David

Android

AppSheet is available (but not supported) on Android version 4.4.4, and supported on Android version 5 and higher. We recommend Android version 6.0 or higher for best performance. Earlier versions of Android can cause subtle bugs or performance problems.

The memory required depends on:

  • The amount of data downloaded to the device. This depends on the number of tables and the number of rows and columns in each table.
  • The complexity of the app. This depends on the number of tables, views, expressions, etc.
  • The device features used by the app. The camera and scanner add significantly to the RAM required. The higher the camera image resolution, the more memory required.

If you are purchasing an Android device for use with AppSheet, we recommend choosing Android 6.0 or greater with at least 2GB of RAM. More memory may be required depending on the number and resolution of photos you capture. We recommend testing your app thoroughly on the device before committing to it. Android performance can vary significantly between devices with seemingly similar specs.

Long story short: both phones are at least 5 years old. J7 supports a maximum of Android 7.1.1. S5 supports a maximum of Android 6. Current version of Android is 10 (and will be 11 before the end of the year). The S5 will work if you update it as far as it can go. But only barely. Similarly the J7 will soon be on the chopping block.

So, in my opinion, any device that can’t run a minimum of Android 8, but preferably 9, is not worth any amount of time to get running. These devices are also more likely to have 3 or 4GB of RAM which will also help with performance.

2 Likes

@Bahbus is right. Please don’t spend time on old phones. Even when you get AppSheet to run, it will work very slow and nobody will use your App.

1 Like

Thank you for your response Fabian

Thank you for your response Bahbus Dave